#!/bin/bash
set -e
apk add build-base cmake icu-dev lzo-dev xz-dev zlib-dev samurai jq git curl
mkdir /build
tag=$(curl -sL https://api.github.com/repos/JGRennison/OpenTTD-patches/releases/latest | jq -r ".tag_name")
echo "tag: $tag"
sleep 5
git clone https://github.com/JGRennison/OpenTTD-patches.git -b "$tag" /build/jgrpp
mkdir /build/jgrpp/release
cd /build/jgrpp/release
cmake -DCMAKE_INSTALL_PREFIX=/opt/openttd/server -DOPTION_DEDICATED=ON -DCMAKE_BUILD_TYPE=RelWithDebInfo ..
make -j4
mkdir -p /opt/openttd
make install
cd /opt/openttd
tar zcvf "/out/jgrpp-$tag.tar.gz" server
exit 1
